Subject: bug#12834: 24.3.50; OS X selecting a font can lock Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Nov 2012 21:07:38 +0200

> From: Ivan Andrus <[email-masked]>
> Date: Tue, 13 Nov 2012 19:40:02 +0100
> Cc: "[email-masked]" <[email-masked]>
> 
> > Which version did you build? Are you sure you built the emacs-24 branch, not trunk?
> 
> To be honest I'm not entirely sure how to figure that out.

Like this:

 $ bzr revno

> Every time I think I understand bzr it doesn't do what I think.  Anyway, updating on the branch I get
> 
> $ bzr pull
> Using saved parent location: bzr://bzr.savannah.gnu.org/emacs/emacs-24/
> No revisions or tags to pull.                                                 

If emacs-24 is a bound branch, you need to say "bzr update", not
"bzr pull".  To see if its a bound branch, type

 $ cat .bzr/branch/branch.conf

If you see there a line "bound = True", then it's a bound branch.